/* doxa-nav.css */
/* Integrating new colors into Pico CSS */
[data-theme='light'] {
    --pico-background-color: #EFE5D5 !important;  /* Parchment color for light mode */
    --pico-color: #373c44;  /* Text color for general use */
    --pico-muted-color: #646b79;  /* Muted text or border color */

    /* New complementary colors */
    --pico-complementary-primary: #C5BBA1;  /* Soft Taupe */
    --pico-complementary-secondary: #D5C5AA;  /* Light Beige */
    --pico-complementary-accent: #A45A2D;  /* Burnt Orange */
    --pico-complementary-muted: #7F8C8D;  /* Slate Gray */
    --pico-complementary-highlight: #B8B3A0;  /* Warm Gray */
        /* Form elements */
    --pico-form-element-background-color: #F7F0E6;  /* Light parchment for form elements */
    --pico-form-element-border-color: #D3C4B1;  /* Warm gray border */
    --pico-form-element-color: #373C44;  /* Dark gray text */
    --pico-form-element-placeholder-color: #7F8C8D;  /* Medium gray placeholder text */
    --pico-form-element-active-border-color: #A45A2D;  /* Burnt orange focus border */
}
body {
    margin: 0!important;
    padding-top: 40px; /* Adjust this value based on the height of your navbar */
    font-family: Arial, sans-serif!important;
}

.navbar {
    display: flex!important;
    justify-content: space-between!important;
    align-items: center!important;
    padding: 5px!important;
    background-color: #333!important;
    color: white!important;
    /*position: sticky!important;*/
    position: fixed;
    height:80px !important;
    width: 100%;
    top: 0!important;
    z-index: 1000!important;
}
.navbar-left {
    flex: 1 !important;
    display: flex !important;
    flex-direction: row !important; /* This is default, but ensures items are in a row */
    align-items: center !important; /* Align items vertically centered */
    gap: 4px !important; /* Optional: Add space between items */
}
.navbar-right {
    flex: 1!important;
    display: flex!important;
    align-items: center!important;
}

.navbar-center {
    flex: 2!important;
    display: flex!important;
    justify-content: center!important;
    align-items: center!important;
    text-align: center!important;
}

.navbar-right {
    justify-content: flex-end!important;
}

.app-name {
    font-size: 1.5em!important;
}

.dropdown-menus {
    list-style-type: none!important;
    display: flex!important;
    margin: 0!important;
    padding: 0!important;
    justify-content: center!important;
    text-align: center!important;
    width: 100%!important;
}

.dropdown-menu {
    position: relative!important;
    padding: 10px!important;
    cursor: pointer!important;
    white-space: nowrap!important;
}
/*details.dropdown summary + ul {*/
/*    display: flex;*/
/*    z-index: 99;*/
/*    position: absolute;*/
/*    left: 0;*/
/*    flex-direction: column;*/
/*    width: 100%;*/
/*    min-width: -moz-fit-content;*/
/*    min-width: fit-content;*/
/*    margin: 0;*/
/*    margin-top: var(--pico-outline-width);*/
/*    padding: 0;*/
/*    border: var(--pico-border-width) solid var(--pico-dropdown-border-color);*/
/*    border-radius: var(--pico-border-radius);*/
/*    background-color: var(--pico-dropdown-background-color);*/
/*    box-shadow: var(--pico-dropdown-box-shadow);*/
/*    color: var(--pico-dropdown-color);*/
/*    white-space: nowrap;*/
/*    opacity: 0;*/
/*    transition: opacity var(--pico-transition), transform 0s ease-in-out 1s;*/

.dropdown-menu:hover .dropdown-content,
.dropdown-menu:focus-within .dropdown-content {
    display: block!important;
}

.dropdown-content {
    display: none!important;
    position: absolute!important;
    background-color: #f9f9f9!important;
    min-width: 160px!important;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2)!important;
    z-index: 1!important;
    left: 0!important; /* Ensure the drop-down is left-aligned */
}

.dropdown-content li {
    color: black!important;
    padding: 12px 16px!important;
    text-decoration: none!important;
    display: block!important;
    cursor: pointer!important;
    text-align: left!important; /* Left-align sub-items */
    white-space: nowrap!important;
    position: relative!important;
}

.dropdown-content li:hover .dropdown-subcontent,
.dropdown-content li:focus-within .dropdown-subcontent {
    display: block!important;
}

.dropdown-subcontent {
    display: none!important;
    position: absolute!important;
    left: 100%!important;
    top: 0!important;
    background-color: #f9f9f9!important;
    min-width: 160px!important;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2)!important;
    z-index: 1!important;
}

.dropdown-content li:hover {
    background-color: #f1f1f1!important;
}

.has-submenu::after {
    content: '>'!important;
    position: absolute!important;
    right: 10px!important;
    top: 50%!important;
    transform: translateY(-50%)!important;
}
.divider {
    margin: 8px 16px!important;  /* Added left and right margin */
    border: none!important;
    border-top: 1px solid #ccc!important; /* Updated color for better visibility */
}
.icon {
    padding: 0 10px!important;
    cursor: pointer!important;
}

@media (max-width: 768px) {
    .navbar-center {
        flex-direction: column!important;
    }
    .dropdown-menu {
        padding: 5px!important;
    }
}

.content {
    padding: 20px!important;
}

/* doxa-pico-base.css */
/* Adjust container width */
.container {
    max-width: 100%;
    padding: 0 1rem;
}

/* Modify navigation layout */
nav {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    padding: 1rem;
}

nav ul {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    padding: 0;
    margin: 0;
    list-style: none;
}

/* Handle long words and URLs */
body {
    word-wrap: break-word;
    overflow-wrap: break-word;
}

/* Responsive design */
@media (max-width: 768px) {
    nav {
        flex-direction: column;
    }

    nav ul {
        flex-direction: column;
        width: 100%;
    }
}

/* Box-sizing */
* {
    box-sizing: border-box;
}

/* Additional styles for better layout */
.doxa-pico-nav {
    width: 100%;
}

.doxa-pico-nav-center-wrapper {
    flex-grow: 1;
    display: flex;
    justify-content: center;
}

.doxa-pico-nav ul {
    margin: 0;
    padding: 0;
}

.doxa-pico-nav li {
    margin: 0;
    padding: 0;
}

/* Ensure dropdown menus don't overflow */
.dropdown .dropdown-menu {
    max-height: 80vh;
    overflow-y: auto;
}

/* Adjust grid layout for better responsiveness */
.grid {
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 1rem;
}

/* Ensure form elements don't overflow */
input, select, textarea {
    max-width: 100%;
}

/* Adjust modal size for smaller screens */
@media (max-width: 576px) {
    .modal-container {
        width: 90%;
    }
}

/* doxa-pico-modal.css */
/* static/css/modal.css */
dialog::backdrop {
    background-color: rgba(0, 0, 0, 0.5);
}

dialog[open] {
    animation: modal-open 0.3s ease normal;
}

@keyframes modal-open {
    from { opacity: 0; transform: translateY(-20px); }
    to { opacity: 1; transform: translateY(0); }
}

/* Additional styles to ensure Pico CSS modal looks good */
dialog.modal > article {
    max-width: 450px;
    padding: 1.5rem;
}

dialog.modal header {
    margin-bottom: 1rem;
}

dialog.modal footer {
    margin-top: 1.5rem;
}


/* doxa-pico-nav.css */
/* Container for the nav items */
.doxa-pico-nav-center ul {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: center;
    padding: 0;
    list-style-type: none;
}

/* Individual nav items */
.doxa-pico-nav-center ul > * {
    margin: 5px 10px;
}

/* Dropdown styling */
.doxa-pico-nav-center .dropdown {
    position: relative;
}

.doxa-pico-nav-center .dropdown-menu {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

.doxa-pico-nav-center .dropdown[open] .dropdown-menu {
    display: block;
}

/* Responsive adjustments */
@media screen and (max-width: 768px) {
    ul {
        flex-direction: column;
        align-items: flex-start;
    }

    .doxa-pico-nav-center .dropdown-menu {
        position: static;
        box-shadow: none;
    }
}

/* doxa-pico-table.css */
.widget-table-container {
    display: flex;
    flex-direction: column;
}
.widget-table-container table {
    width: 100%;
    margin-bottom: 1rem;
}
/* Hide expandable-content rows by default */
.expandable-content {
    display: none;
}

/* Optionally, add a style to indicate that a row is expandable */
.expandable-row {
    cursor: pointer;
}

.expandable-row:hover {
    background-color: #f0f0f0; /* Highlight on hover */
}
.pagination-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 1rem;
}
.table-pagination {
    width: 100%;
}
.pagination {
    display: flex;
    align-items: center;
}
.pagination button {
    margin: 0 0.25rem;
}
#pageInfo {
    margin: 0 0.5rem;
    min-width: 100px;
    text-align: center;
}
#rowsPerPage {
    width: auto;
    display: inline-block;
    margin: 0 0.5rem;
}
.checkbox-cell {
    text-align: center;
}
th {
    cursor: pointer;
}
th::after {
    content: '\25B2\25BC';
    font-size: 0.8em;
    margin-left: 5px;
    opacity: 0.5;
}
th.sorted-asc::after {
    content: '\25B2';
    opacity: 1;
}
th.sorted-desc::after {
    content: '\25BC';
    opacity: 1;
}
.filter-input {
    width: 100%;
    margin-top: 0.5rem;
    padding: 0.25rem;
    font-size: 0.9em;
}
#filterRow {
    display: none;
}


/* doxa-pico.css */
:root {
    --doxa-header-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    --doxa-widget-border-color: rgba(0, 0, 0, 0.2);
    --doxa-widget-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    --pico-nav-link-spacing-horizontal: 2px !important;
    --pico-nav-link-spacing-vertical: 2px !important;
}
[data-theme="dark"] {
    --doxa-header-shadow: 0 2px 4px rgba(255, 255, 255, 0.1);
    --doxa-widget-border-color: rgba(255, 255, 255, 0.2);
    --doxa-widget-shadow: 0 2px 5px rgba(255, 255, 255, 0.1);
}

/*  wifi icon color toggle based on mode dark */
[data-theme="dark"] #theme-toggle i#theme-icon {
    color: var(--pico-color);
}

/*  wifi icon color toggle based on mode light */
[data-theme="light"] #theme-toggle i#theme-icon {
    color: var(--pico-color);
}

[data-theme="light"],
:root:not([data-theme="dark"]) {
    --pico-color: #2b2b2b;
    --pico-muted-color: #4a4a4a;
}

@media screen and (max-width: 800px) {
    .doxa-widget {
        max-width: 100%;
    }
}
.centered-hgroup {
    text-align: center;
}

.doxa-widget {
    width: 100%;
    max-width: 800px;
    border: 2px solid var(--doxa-widget-border-color);
    border-radius: 15px;
    position: relative;
    padding: 20px;
    box-sizing: border-box;
    box-shadow: var(--doxa-widget-shadow);
}

.doxa-widget-title {
    position: absolute;
    top: -16px;
    left: 50%;
    transform: translateX(-50%);
    text-align: center;
    background-color: var(--pico-background-color);
    padding: 0 10px;
    font-weight: bold;
    white-space: nowrap;
}

.icon-badge {
    position: relative;
    display: flex;
    align-items: center;
}

.message-count {
    margin-left: 4px;
}


.icon-badge .bi {
    color: var(--pico-secondary);
    font-size: 1rem;
}


.icon-badge .badge {
    color: var(--pico-secondary);
}

#connection-status {

}
.doxa-pico-modal-close {
    position: absolute;
    top: 1rem;
    right: 1rem;
}

.doxa-pico-modal {
    position: relative;
    padding-top: 2rem;
}
.doxa-pico-modal > .close {
    position: absolute;
    top: 0.5rem;
    right: 0.5rem;
    margin: 0;
    padding: 0;
}

.modal-is-open {
    overflow: hidden;
}

.modal-is-opening dialog,
.modal-is-closing dialog {
    animation-duration: 0.3s;
    animation-timing-function: ease-in-out;
}



.modal-is-opening dialog {
    animation-name: modal-open;
}


.modal-is-closing dialog {
    animation-name: modal-close;
}



@keyframes modal-open {
    from {
        opacity: 0;
        transform: scale(0.8);
    }
    to {
        opacity: 1;
        transform: scale(1);
    }
}



@keyframes modal-close {
    from {
        opacity: 1;
        transform: scale(1);
    }
    to {
        opacity: 0;
        transform: scale(0.8);
    }
}


